Loading...
Searching...
No Matches
diffusion_transport_tensor_exact.icc

The tensor transport-diffusion benchmark – right-hand-side and exact solution. More...

Go to the source code of this file.

## Classes

struct | sigma_exact
struct | chi
struct | grad_sigma_g

## Functions

point | u (const point &x)

## Variables

tensor | grad_u = {{0,-1},{1,0}}

## Detailed Description

The tensor transport-diffusion benchmark – right-hand-side and exact solution.

This file is part of Rheolef.

Copyright (C) 2000-2018 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file diffusion_transport_tensor_exact.icc.

## Function Documentation

## u()

point u | ( | const point & | x | ) |

Examples
  burgers_dg.cc, burgers_diffusion_dg.cc, combustion_keller_post.cc, convect.cc, convect2.cc, convect_hdg.cc, cosinusprod_post_dg.cc, diffusion_transport_tensor_exact.icc, dirichlet-nh.cc, dirichlet.cc, dirichlet.icc, dirichlet2.cc, dirichlet_dg.cc, dirichlet_hho.cc, elasticity_solve.icc, elasticity_taylor_dg.cc, embankment.cc, heat.cc, helmholtz_band.cc, helmholtz_band_iterative.cc, helmholtz_s.cc, helmholtz_s_error.cc, incompressible-elasticity.cc, laplace_band.cc, laplace_s.cc, leveque_dg.cc, mosolov_augmented_lagrangian2.icc, mosolov_error.cc, mosolov_residue.cc, navier_stokes_dg1.icc, navier_stokes_solve.icc, navier_stokes_taylor_dg.cc, navier_stokes_upw_dg.icc, neumann-laplace.cc, neumann-nh.cc, neumann_dg.cc, oldroyd_theta_scheme1.h, oldroyd_theta_scheme2.h, p_laplacian1.icc, p_laplacian_fixed_point.cc, poisson_robin.icc, reconstruction_hho.cc, reconstruction_hho_check.cc, reconstruction_hho_v2.cc, robin.cc, stokes_cavity.cc, stokes_contraction.cc, stokes_dirichlet_dg.icc, stokes_obstacle_slip_regul.cc, streamf_cavity.cc, streamf_cavity.icc, streamf_contraction.cc, transmission.cc, transmission_dg.cc, transport_dg.cc, transport_tensor_exact.icc, yield_slip1.icc, yield_slip_augmented_lagrangian.icc, yield_slip_error.cc, yield_slip_residue.cc, and zalesak_dg.cc.

Definition at line 25 of file diffusion_transport_tensor_exact.icc.

## Variable Documentation

## grad_u

tensor grad_u = {{0,-1},{1,0}}

Examples
  combustion_error.cc, combustion_exact.icc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_grad.h, cosinusprod_post_dg.cc, mosolov_error.cc, mosolov_exact_circle.h, p_laplacian_circle.h, p_laplacian_error.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_post_rt.cc, sinusprod_error_hho_reconstruction.cc, sinusprod_grad.h, yield_slip_circle.h, and yield_slip_error.cc.

Definition at line 26 of file diffusion_transport_tensor_exact.icc.